org.kie.internal.io

## Interface ResourceChangeMonitor

- All Known Subinterfaces:
    ResourceChangeScanner

      public interface ResourceChangeMonitor

  Subscribes and unsubscribes the given notifier to the requested resource. The Monitor will inform the notifier when when results it subscribes to are changed via the ChangeSet interface.

  This interface, as well as ChangeSet, ResourceChangeNotifier, ResourceChangeListener and ResourceChangeScanner are still considered subject to change. Use the XML format change-set, as part of the ResourceType api when adding to KnowledgeBuilder, which is considered stable. KnowledgeBuilder currently ignored Added/Modified xml elements, the KnowledgeAgent will use them, when rebuilding the KnowledgeBase.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setSystemEventListener(SystemEventListener listener)`
    `void` | `subscribeNotifier(ResourceChangeNotifier notifier, org.kie.api.io.Resource resource)` Subscribe the notifier to receive change information on the given resource.
    `void` | `unsubscribeNotifier(ResourceChangeNotifier notifier, org.kie.api.io.Resource resource)` Unsubscribe the notifier for the given resource.

- - ### Method Detail

    - #### subscribeNotifier

          void subscribeNotifier(ResourceChangeNotifier notifier,
                                 org.kie.api.io.Resource resource)

      Subscribe the notifier to receive change information on the given resource.
      Parameters:
        `notifier` -
        `resource` -

    - #### unsubscribeNotifier

          void unsubscribeNotifier(ResourceChangeNotifier notifier,
                                   org.kie.api.io.Resource resource)

      Unsubscribe the notifier for the given resource.
      Parameters:
        `notifier` -
        `resource` -

    - #### setSystemEventListener

          void setSystemEventListener(SystemEventListener listener)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.